Generation Framework

## org.eclipse.gmf.mappings
Interface AuditedMetricTarget

All Superinterfaces:
  Auditable, EObject, Notifier

All Known Implementing Classes:
  AuditedMetricTargetImpl

public interface AuditedMetricTarget
extends Auditable

A representation of the model object 'Audited Metric Target'. Target metric which can be evaluated by audit rule. The target context here is the metric rule resulting type classifier

The following features are supported:

- `Metric`

See Also:
  `GMFMapPackage.getAuditedMetricTarget()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='\'ecore::EDoubleObject\''"

Method Summary
`MetricRule` `getMetric()` Returns the value of the 'Metric' reference
`void` `setMetric(MetricRule value)` Sets the value of the '`Metric`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMetric

    public MetricRule getMetric()

  Returns the value of the 'Metric' reference. Metric which can be checked by audit

  Returns:
    the value of the 'Metric' reference.
  See Also:
    `AuditedMetricTarget.setMetric(MetricRule)`, `GMFMapPackage.getAuditedMetricTarget_Metric()`
  ** Generated **
  Model:
    required="true"

### setMetric

    public void setMetric(MetricRule value)

  Sets the value of the '`Metric`' reference.

  Parameters:
    `value` - the new value of the 'Metric' reference.
  See Also:
    `AuditedMetricTarget.getMetric()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.